Universes SDG Documents
Get SDG documents for one universe
Request
Parameters
universe_id*uuidUnique identifier of the universe.
sizeintegerNumber of records per page
Default: 10Range: [1, 1000]search_afteruuidThe last ID on the page you're currently on when you want to fetch the next page.
scoreinteger (operator)Intensity score
You can input an integer or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), in, nin (not in), between
Range: [1, 5]extract_datedate (operator)Extraction date of the document
You can input a date or use the following operators: lt (<), lte (≤), gt (>), gte (≥), neq (≠), between
Example: "between:2022-01-01;2022-01-02"fields(string (enum))[]Fields to include in the response
Default: ["id", "categories", "country", "cluster_size", "entity_keywords", "entity_id", "url", "extract_date", "dashboard_url", "language", "negative", "neutral", "positive", "polarity", "score", "site_type", "taxonomy_keywords", "title", "datamarts_document_id", "is_high_authority_source"]Values: "id", "categories", "country", "cluster_size", "entity_keywords", "entity_id", "url", "extract_date", "dashboard_url", "language", "negative", "neutral", "positive", "polarity", "score", "site_type", "taxonomy_keywords", "title", "d...
Response
Properties of the documents
data*object[]Properties of the documents.
size*integerNumber of records per page requested.
Example: 1has_next*booleanTrue if there are more records available.
Example: truecount*integerNumber of records returned in the current page.
Example: 1search_after*string | nullCursor for next page.
{
"data": [
{
"id": "48b8c6bd-471a-423b-87f3-9c287da32967",
"categories": [
"SDG:1"
],
"country": "fr",
"cluster_size": 0,
"entity_keywords": [
"string"
],
"entity_id": "00000000-0000-0000-0000-000000000000",
"url": "https://domain.com/article#anchor",
"extract_date": "string",
"dashboard_url": "https://dashboards.textreveal.com/positive-impact-event/48b8c6bd-471a-423b-87f3-9c287da32967",
"language": "fre",
"negative": 0.01,
"neutral": 0.2,
"positive": 0.8,
"polarity": 0.78765434,
"score": 2,
"site_type": "news",
"taxonomy_keywords": [
"string"
],
"title": "string",
"datamarts_document_id": "string",
"is_high_authority_source": true
}
],
"size": 1,
"has_next": true,
"count": 1,
"search_after": "string"
}Error
Bad request
message*stringError message.
Example: "The server returned an unexpected response"code*integerError code.
Example: 400reason*string (enum)Error reason.
Values: "invalid", "timeout", "offline", "unknown", "not_found", "unauthorized", "forbidden", "internal", "too_many_requests"errorsobject[]Possible error causes, like query params, headers or body.
{
"message": "The server returned an unexpected response",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "Expected number, received string",
"field": "size",
"reason": "invalid_type"
}
]
}Not authorized
message*stringExample: "Not authorized to access this resource"code*numberError code.
reason*string
{
"message": "Not authorized to access this resource",
"code": 0,
"reason": "string"
}